Subject: Re: bug#47663: [PATCH] website: Add Help dropdown menu

From: Luis Felipe <[email-masked]>
Date: Fri, 09 Apr 2021 13:32:34 +0000

Hey Mathieu,

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Friday, April 9, 2021 6:51 AM, Mathieu Othacehe <[email-masked]> wrote:

> Hello Luis,
>
> > This patch converts the Help item of the navigation bar into a dropdown menu
> > as proposed in the thread "Document our WIP"
> > (https://lists.gnu.org/archive/html/guix-devel/2021-03/msg00532.html).
>
> I find that this new dropdown provides an easier access to the Help
> links which is nice!
>
> What do we do with the old help/index.html page, that is now not
> accessible? Maybe we need to remove this file:
> artwork/website/apps/base/templates/help.scm?

Oh, I completely forgot about that, and I'd actually like to keep that page and link to it from the menu too. So let me think how to solve that.

> Also I noticed that left clicking directly on the "Help" menu causes
> some undesired wrapping on the Help items.

I'll take a look at this too, and send another patch.

Thanks for your help so far, Mathieu.

Best,